#!/bin/sh

function error {
  echo "$(basename $0): fatal error, $1 failed"
  rm -f /tmp/nvidia.XXXXXX
  exit 1
}

touch /tmp/nvidia.XXXXXX

modconf="/etc/modules.conf"

   sed '/^alias.*NVdriver/d'  < $modconf   > $tmp
     echo "alias char-major-195 NVdriver" >> $tmp
   mv $tmp $modconf

  for i in 0 1 2 3 4 5 6 7; do
	node="/dev/nvidia$i"
	rm -f $node
    mknod $node c 195 $i || error "mknod \"$node\""
    chmod 0666 $node     || error "chmod \"$node\""
  done
  node="/dev/nvidiactl"
  rm -f $node        
  mknod $node c 195 255  || error "mknod \"$node\""
  chmod 0666 $node       || error "chmod \"$node\""
rm -f /tmp/nvidia.XXXXXX
/sbin/depmod -a

exit 0
